import * as React from "react";
import { BasicRow, RowId } from "./";
export interface DataRowComponentProps extends BasicRow {
    className?: string;
    index: number;
    hideSelect?: boolean;
    onSelect?: (id: RowId | RowId[], selected: boolean) => void;
    sibling?: number;
}
export default class DataRowComponent extends React.PureComponent<DataRowComponentProps, {}> {
    private generateCell(cell, i, nSiblings, siblingPos);
    private onSelect(ev);
    private validate(props);
    componentWillReceiveProps(nextProps: DataRowComponentProps): void;
    componentDidMount(): void;
    render(): JSX.Element;
}
export declare const VirtualizedDataRow: typeof DataRowComponent;
