import * as React from "react";
import { shallow } from "enzyme";
import { expect } from "chai";
import DataTable from "../";
import { generateStandardFakeData } from "../data";
const { describe, it } = global;
const simplestTableData = generateStandardFakeData();
describe("DataTable", () => {
    it("should show the given data", () => {
        const table = (React.createElement(DataTable, { data: simplestTableData.data, columns: simplestTableData.columns }));
        const wrapper = shallow(table);
        expect(wrapper.find("tbody tr").length).to.be.equal(simplestTableData.data.length);
    });
});
//# sourceMappingURL=index.js.map