export declare type Sorter<T> = (a: T, b: T) => number;
export declare type Falsy = null | undefined;
export declare const falsySorter: Sorter<Falsy | any>;
export declare const stringSorter: Sorter<string | Falsy>;
export declare const numberSorter: Sorter<number | Falsy>;
export declare const dateSorter: Sorter<Date | Falsy>;
